Bug 1420405 - Cold Merge: Reduce base volume size after cold merge
Summary: Cold Merge: Reduce base volume size after cold merge
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.19.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.1.2
: ---
Assignee: Ala Hino
QA Contact: Carlos Mestre González
URL:
Whiteboard:
Depends On:
Blocks: 1443147
TreeView+ depends on / blocked
 
Reported: 2017-02-08 15:05 UTC by Ala Hino
Modified: 2017-05-23 08:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 08:20:10 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
rule-engine: exception+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71789 0 master MERGED cold-merge: Shrink base volume 2017-04-18 16:11:21 UTC
oVirt gerrit 72819 0 master MERGED tests: Add fake produceVolume 2017-03-23 18:45:45 UTC
oVirt gerrit 73344 0 master MERGED block-volume: Refactor shrink to optimal size logic 2017-04-18 16:11:24 UTC
oVirt gerrit 73574 0 master MERGED volume: Introduce optimal_size helper 2017-04-18 16:11:18 UTC
oVirt gerrit 74769 0 master MERGED volume: Introduce max_size helper 2017-04-01 20:23:14 UTC
oVirt gerrit 75612 0 ovirt-4.1 MERGED tests: Add fake produceVolume 2017-04-19 13:15:12 UTC
oVirt gerrit 75613 0 ovirt-4.1 MERGED volume: Introduce max_size helper 2017-04-19 13:15:05 UTC
oVirt gerrit 75614 0 ovirt-4.1 MERGED volume: Introduce optimal_size helper 2017-04-19 13:14:59 UTC
oVirt gerrit 75615 0 ovirt-4.1 MERGED block-volume: Refactor shrink to optimal size logic 2017-04-19 13:32:56 UTC
oVirt gerrit 75616 0 ovirt-4.1 MERGED cold-merge: Shrink base volume 2017-04-19 13:50:38 UTC
oVirt gerrit 75648 0 master MERGED shrink-volume: Use vol.volUUID 2017-04-19 12:07:15 UTC
oVirt gerrit 75649 0 ovirt-4.1 MERGED shrink-volume: Use vol.volUUID 2017-04-19 13:40:35 UTC

Description Ala Hino 2017-02-08 15:05:22 UTC
Description of problem:
During cold merge, base volume size is extended to maximum, i.e. by top volume size + vol-chunk-size. This is a worst case calculation.
After cold merge completes we have to reduce base volume size.

Steps to Reproduce:
1. Run cold merge
2.
3.

Actual results:
Base is extended by top's size

Expected results:
Base to be extend by data in top volume +/- 1gb

Comment 1 Carlos Mestre González 2017-04-28 17:23:07 UTC
Checked multiple cold merges, base volume is extended by 1gb chunks
rhevm-4.1.2-0.1.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.